package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class TLqdataAddExample {
    /**
     * t_lqdata_add
     */
    protected String orderByClause;

    /**
     * t_lqdata_add
     */
    protected boolean distinct;

    /**
     * t_lqdata_add
     */
    protected List<Criteria> oredCriteria;

    public TLqdataAddExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_lqdata_add 2018-12-16
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdIsNull() {
            addCriterion("v_lq_data_id is null");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdIsNotNull() {
            addCriterion("v_lq_data_id is not null");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdEqualTo(Integer value) {
            addCriterion("v_lq_data_id =", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdNotEqualTo(Integer value) {
            addCriterion("v_lq_data_id <>", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdGreaterThan(Integer value) {
            addCriterion("v_lq_data_id >", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("v_lq_data_id >=", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdLessThan(Integer value) {
            addCriterion("v_lq_data_id <", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdLessThanOrEqualTo(Integer value) {
            addCriterion("v_lq_data_id <=", value, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdIn(List<Integer> values) {
            addCriterion("v_lq_data_id in", values, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdNotIn(List<Integer> values) {
            addCriterion("v_lq_data_id not in", values, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdBetween(Integer value1, Integer value2) {
            addCriterion("v_lq_data_id between", value1, value2, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andVLqDataIdNotBetween(Integer value1, Integer value2) {
            addCriterion("v_lq_data_id not between", value1, value2, "vLqDataId");
            return (Criteria) this;
        }

        public Criteria andIFloorNumIsNull() {
            addCriterion("i_floor_num is null");
            return (Criteria) this;
        }

        public Criteria andIFloorNumIsNotNull() {
            addCriterion("i_floor_num is not null");
            return (Criteria) this;
        }

        public Criteria andIFloorNumEqualTo(Integer value) {
            addCriterion("i_floor_num =", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumNotEqualTo(Integer value) {
            addCriterion("i_floor_num <>", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumGreaterThan(Integer value) {
            addCriterion("i_floor_num >", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_floor_num >=", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumLessThan(Integer value) {
            addCriterion("i_floor_num <", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumLessThanOrEqualTo(Integer value) {
            addCriterion("i_floor_num <=", value, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumIn(List<Integer> values) {
            addCriterion("i_floor_num in", values, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumNotIn(List<Integer> values) {
            addCriterion("i_floor_num not in", values, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumBetween(Integer value1, Integer value2) {
            addCriterion("i_floor_num between", value1, value2, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andIFloorNumNotBetween(Integer value1, Integer value2) {
            addCriterion("i_floor_num not between", value1, value2, "iFloorNum");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataIsNull() {
            addCriterion("f_max_f_data is null");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataIsNotNull() {
            addCriterion("f_max_f_data is not null");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataEqualTo(BigDecimal value) {
            addCriterion("f_max_f_data =", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataNotEqualTo(BigDecimal value) {
            addCriterion("f_max_f_data <>", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataGreaterThan(BigDecimal value) {
            addCriterion("f_max_f_data >", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_f_data >=", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataLessThan(BigDecimal value) {
            addCriterion("f_max_f_data <", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_f_data <=", value, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataIn(List<BigDecimal> values) {
            addCriterion("f_max_f_data in", values, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataNotIn(List<BigDecimal> values) {
            addCriterion("f_max_f_data not in", values, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_f_data between", value1, value2, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMaxFDataNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_f_data not between", value1, value2, "fMaxFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataIsNull() {
            addCriterion("f_min_f_data is null");
            return (Criteria) this;
        }

        public Criteria andFMinFDataIsNotNull() {
            addCriterion("f_min_f_data is not null");
            return (Criteria) this;
        }

        public Criteria andFMinFDataEqualTo(BigDecimal value) {
            addCriterion("f_min_f_data =", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataNotEqualTo(BigDecimal value) {
            addCriterion("f_min_f_data <>", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataGreaterThan(BigDecimal value) {
            addCriterion("f_min_f_data >", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min_f_data >=", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataLessThan(BigDecimal value) {
            addCriterion("f_min_f_data <", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min_f_data <=", value, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataIn(List<BigDecimal> values) {
            addCriterion("f_min_f_data in", values, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataNotIn(List<BigDecimal> values) {
            addCriterion("f_min_f_data not in", values, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min_f_data between", value1, value2, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFMinFDataNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min_f_data not between", value1, value2, "fMinFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataIsNull() {
            addCriterion("f_avg_f_data is null");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataIsNotNull() {
            addCriterion("f_avg_f_data is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataEqualTo(BigDecimal value) {
            addCriterion("f_avg_f_data =", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataNotEqualTo(BigDecimal value) {
            addCriterion("f_avg_f_data <>", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataGreaterThan(BigDecimal value) {
            addCriterion("f_avg_f_data >", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_f_data >=", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataLessThan(BigDecimal value) {
            addCriterion("f_avg_f_data <", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_f_data <=", value, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataIn(List<BigDecimal> values) {
            addCriterion("f_avg_f_data in", values, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataNotIn(List<BigDecimal> values) {
            addCriterion("f_avg_f_data not in", values, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_f_data between", value1, value2, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFAvgFDataNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_f_data not between", value1, value2, "fAvgFData");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundIsNull() {
            addCriterion("f_max_around is null");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundIsNotNull() {
            addCriterion("f_max_around is not null");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundEqualTo(BigDecimal value) {
            addCriterion("f_max_around =", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundNotEqualTo(BigDecimal value) {
            addCriterion("f_max_around <>", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundGreaterThan(BigDecimal value) {
            addCriterion("f_max_around >", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_around >=", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundLessThan(BigDecimal value) {
            addCriterion("f_max_around <", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_around <=", value, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundIn(List<BigDecimal> values) {
            addCriterion("f_max_around in", values, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundNotIn(List<BigDecimal> values) {
            addCriterion("f_max_around not in", values, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_around between", value1, value2, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMaxAroundNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_around not between", value1, value2, "fMaxAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundIsNull() {
            addCriterion("\"f_min_ around\" is null");
            return (Criteria) this;
        }

        public Criteria andFMinAroundIsNotNull() {
            addCriterion("\"f_min_ around\" is not null");
            return (Criteria) this;
        }

        public Criteria andFMinAroundEqualTo(BigDecimal value) {
            addCriterion("\"f_min_ around\" =", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundNotEqualTo(BigDecimal value) {
            addCriterion("\"f_min_ around\" <>", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundGreaterThan(BigDecimal value) {
            addCriterion("\"f_min_ around\" >", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("\"f_min_ around\" >=", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundLessThan(BigDecimal value) {
            addCriterion("\"f_min_ around\" <", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundLessThanOrEqualTo(BigDecimal value) {
            addCriterion("\"f_min_ around\" <=", value, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundIn(List<BigDecimal> values) {
            addCriterion("\"f_min_ around\" in", values, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundNotIn(List<BigDecimal> values) {
            addCriterion("\"f_min_ around\" not in", values, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("\"f_min_ around\" between", value1, value2, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFMinAroundNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("\"f_min_ around\" not between", value1, value2, "fMinAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundIsNull() {
            addCriterion("\"f_avg_ around\" is null");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundIsNotNull() {
            addCriterion("\"f_avg_ around\" is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundEqualTo(BigDecimal value) {
            addCriterion("\"f_avg_ around\" =", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundNotEqualTo(BigDecimal value) {
            addCriterion("\"f_avg_ around\" <>", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundGreaterThan(BigDecimal value) {
            addCriterion("\"f_avg_ around\" >", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("\"f_avg_ around\" >=", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundLessThan(BigDecimal value) {
            addCriterion("\"f_avg_ around\" <", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundLessThanOrEqualTo(BigDecimal value) {
            addCriterion("\"f_avg_ around\" <=", value, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundIn(List<BigDecimal> values) {
            addCriterion("\"f_avg_ around\" in", values, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundNotIn(List<BigDecimal> values) {
            addCriterion("\"f_avg_ around\" not in", values, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("\"f_avg_ around\" between", value1, value2, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFAvgAroundNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("\"f_avg_ around\" not between", value1, value2, "fAvgAround");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterIsNull() {
            addCriterion("f_max_center is null");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterIsNotNull() {
            addCriterion("f_max_center is not null");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterEqualTo(BigDecimal value) {
            addCriterion("f_max_center =", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterNotEqualTo(BigDecimal value) {
            addCriterion("f_max_center <>", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterGreaterThan(BigDecimal value) {
            addCriterion("f_max_center >", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_center >=", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterLessThan(BigDecimal value) {
            addCriterion("f_max_center <", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max_center <=", value, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterIn(List<BigDecimal> values) {
            addCriterion("f_max_center in", values, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterNotIn(List<BigDecimal> values) {
            addCriterion("f_max_center not in", values, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_center between", value1, value2, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMaxCenterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max_center not between", value1, value2, "fMaxCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterIsNull() {
            addCriterion("f_min_center is null");
            return (Criteria) this;
        }

        public Criteria andFMinCenterIsNotNull() {
            addCriterion("f_min_center is not null");
            return (Criteria) this;
        }

        public Criteria andFMinCenterEqualTo(BigDecimal value) {
            addCriterion("f_min_center =", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterNotEqualTo(BigDecimal value) {
            addCriterion("f_min_center <>", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterGreaterThan(BigDecimal value) {
            addCriterion("f_min_center >", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min_center >=", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterLessThan(BigDecimal value) {
            addCriterion("f_min_center <", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min_center <=", value, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterIn(List<BigDecimal> values) {
            addCriterion("f_min_center in", values, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterNotIn(List<BigDecimal> values) {
            addCriterion("f_min_center not in", values, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min_center between", value1, value2, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFMinCenterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min_center not between", value1, value2, "fMinCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterIsNull() {
            addCriterion("f_avg_center is null");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterIsNotNull() {
            addCriterion("f_avg_center is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterEqualTo(BigDecimal value) {
            addCriterion("f_avg_center =", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterNotEqualTo(BigDecimal value) {
            addCriterion("f_avg_center <>", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterGreaterThan(BigDecimal value) {
            addCriterion("f_avg_center >", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_center >=", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterLessThan(BigDecimal value) {
            addCriterion("f_avg_center <", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_center <=", value, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterIn(List<BigDecimal> values) {
            addCriterion("f_avg_center in", values, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterNotIn(List<BigDecimal> values) {
            addCriterion("f_avg_center not in", values, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_center between", value1, value2, "fAvgCenter");
            return (Criteria) this;
        }

        public Criteria andFAvgCenterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_center not between", value1, value2, "fAvgCenter");
            return (Criteria) this;
        }
    }

    /**
     * t_lqdata_add
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_lqdata_add 2018-12-16
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}